Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install phpMyAdmin via remi and it seems like it's missing php-php-gettext:

# yum --enablerepo=remi install phpMyAdmin
Loaded plugins: amazon-id, rhui-lb
Resolving Dependencies
--> Running transaction check
---> Package phpMyAdmin.noarch 0:4.2.3-1.el7.remi will be installed
--> Processing Dependency: php-tidy for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-tcpdf-dejavu-sans-fonts for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-tcpdf for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-recode for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-mcrypt for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-mbstring for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-gd for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Processing Dependency: php-bcmath for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Running transaction check
---> Package php-bcmath.x86_64 0:5.4.29-3.el7.remi will be installed
--> Processing Dependency: php-common(x86-64) = 5.4.29-3.el7.remi for package: php-bcmath-5.4.29-3.el7.remi.x86_64
---> Package php-gd.x86_64 0:5.4.29-3.el7.remi will be installed
--> Processing Dependency: libpng15.so.15(PNG15_0)(64bit) for package: php-gd-5.4.29-3.el7.remi.x86_64
--> Processing Dependency: libt1.so.5()(64bit) for package: php-gd-5.4.29-3.el7.remi.x86_64
--> Processing Dependency: libpng15.so.15()(64bit) for package: php-gd-5.4.29-3.el7.remi.x86_64
--> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.4.29-3.el7.remi.x86_64
--> Processing Dependency: libX11.so.6()(64bit) for package: php-gd-5.4.29-3.el7.remi.x86_64
---> Package php-mbstring.x86_64 0:5.4.29-3.el7.remi will be installed
---> Package php-mcrypt.x86_64 0:5.4.29-3.el7.remi will be installed
--> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.4.29-3.el7.remi.x86_64
--> Processing Dependency: libltdl.so.7()(64bit) for package: php-mcrypt-5.4.29-3.el7.remi.x86_64
---> Package php-recode.x86_64 0:5.4.29-3.el7.remi will be installed
--> Processing Dependency: librecode.so.0()(64bit) for package: php-recode-5.4.29-3.el7.remi.x86_64
---> Package php-tcpdf.noarch 0:6.0.082-1.el7.remi will be installed
---> Package php-tcpdf-dejavu-sans-fonts.noarch 0:6.0.082-1.el7.remi will be installed
--> Processing Dependency: dejavu-sans-fonts for package: php-tcpdf-dejavu-sans-fonts-6.0.082-1.el7.remi.noarch
---> Package php-tidy.x86_64 0:5.4.29-3.el7.remi will be installed
--> Processing Dependency: libtidy-0.99.so.0()(64bit) for package: php-tidy-5.4.29-3.el7.remi.x86_64
---> Package phpMyAdmin.noarch 0:4.2.3-1.el7.remi will be installed
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Running transaction check
---> Package dejavu-sans-fonts.noarch 0:2.33-6.el7 will be installed
--> Processing Dependency: dejavu-fonts-common = 2.33-6.el7 for package: dejavu-sans-fonts-2.33-6.el7.noarch
---> Package libX11.x86_64 0:1.6.0-2.1.el7 will be installed
--> Processing Dependency: libX11-common = 1.6.0-2.1.el7 for package: libX11-1.6.0-2.1.el7.x86_64
--> Processing Dependency: libxcb.so.1()(64bit) for package: libX11-1.6.0-2.1.el7.x86_64
---> Package libXpm.x86_64 0:3.5.10-5.1.el7 will be installed
---> Package libmcrypt.x86_64 0:2.5.8-13.el7 will be installed
---> Package libpng.x86_64 2:1.5.13-5.el7 will be installed
---> Package libtidy.x86_64 0:0.99.0-31.20091203.el7 will be installed
---> Package libtool-ltdl.x86_64 0:2.4.2-20.el7 will be installed
---> Package php-common.x86_64 0:5.4.16-21.el7 will be updated
--> Processing Dependency: php-common(x86-64) = 5.4.16-21.el7 for package: php-xml-5.4.16-21.el7.x86_64
--> Processing Dependency: php-common(x86-64) = 5.4.16-21.el7 for package: php-process-5.4.16-21.el7.x86_64
--> Processing Dependency: php-common(x86-64) = 5.4.16-21.el7 for package: php-pdo-5.4.16-21.el7.x86_64
--> Processing Dependency: php-common(x86-64) = 5.4.16-21.el7 for package: php-cli-5.4.16-21.el7.x86_64
--> Processing Dependency: php-common(x86-64) = 5.4.16-21.el7 for package: php-5.4.16-21.el7.x86_64
---> Package php-common.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package phpMyAdmin.noarch 0:4.2.3-1.el7.remi will be installed
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
---> Package recode.x86_64 0:3.6-38.el7 will be installed
---> Package t1lib.x86_64 0:5.1.2-14.el7 will be installed
--> Running transaction check
---> Package dejavu-fonts-common.noarch 0:2.33-6.el7 will be installed
--> Processing Dependency: fontpackages-filesystem for package: dejavu-fonts-common-2.33-6.el7.noarch
---> Package libX11-common.noarch 0:1.6.0-2.1.el7 will be installed
---> Package libxcb.x86_64 0:1.9-5.el7 will be installed
--> Processing Dependency: libXau.so.6()(64bit) for package: libxcb-1.9-5.el7.x86_64
---> Package php.x86_64 0:5.4.16-21.el7 will be updated
---> Package php.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package php-cli.x86_64 0:5.4.16-21.el7 will be updated
---> Package php-cli.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package php-pdo.x86_64 0:5.4.16-21.el7 will be updated
--> Processing Dependency: php-pdo(x86-64) = 5.4.16-21.el7 for package: php-mysql-5.4.16-21.el7.x86_64
---> Package php-pdo.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package php-process.x86_64 0:5.4.16-21.el7 will be updated
---> Package php-process.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package php-xml.x86_64 0:5.4.16-21.el7 will be updated
---> Package php-xml.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package phpMyAdmin.noarch 0:4.2.3-1.el7.remi will be installed
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Running transaction check
---> Package fontpackages-filesystem.noarch 0:1.44-8.el7 will be installed
---> Package libXau.x86_64 0:1.0.8-2.1.el7 will be installed
---> Package php-mysql.x86_64 0:5.4.16-21.el7 will be updated
---> Package php-mysql.x86_64 0:5.4.29-3.el7.remi will be an update
---> Package phpMyAdmin.noarch 0:4.2.3-1.el7.remi will be installed
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-4.2.3-1.el7.remi.noarch
--> Finished Dependency Resolution
Error: Package: phpMyAdmin-4.2.3-1.el7.remi.noarch (remi)
           Requires: php-php-gettext
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
#

php itself was installed via rhel'.

# yum info php
Loaded plugins: amazon-id, rhui-lb
Installed Packages
Name        : php
Arch        : x86_64
Version     : 5.4.16
Release     : 21.el7
Size        : 4.4 M
Repo        : installed
From repo   : rhui-REGION-rhel-server-releases
Summary     : PHP scripting language for creating dynamic web sites
URL         : http://www.php.net/
License     : PHP and Zend and BSD
Description : PHP is an HTML-embedded scripting language. PHP attempts to make it
            : easy for developers to write dynamically generated web pages. PHP also
            : offers built-in database integration for several commercial and
            : non-commercial database management systems, so writing a
            : database-enabled webpage with PHP is fairly simple. The most common
            : use of PHP coding is probably as a replacement for CGI scripts.
            : 
            : The php package contains the module (often referred to as mod_php)
            : which adds support for the PHP language to Apache HTTP Server.

# 
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 (Maipo)
# yum repolist
Loaded plugins: amazon-id, rhui-lb
repo id                                                                                                     repo name                                                                                                                   status
epel/x86_64                                                                                                 Extra Packages for Enterprise Linux 7 - x86_64                                                                              4,375
rhui-REGION-client-config-server-7/x86_64                                                                   Red Hat Update Infrastructure 2.0 Client Configuration Server 7                                                                 1
rhui-REGION-rhel-server-releases/7Server/x86_64                                                             Red Hat Enterprise Linux Server 7 (RPMs)                                                                                    4,452
repolist: 8,828
# uname -a
Linux ip-10-150-53-42.ec2.internal 3.10.0-123.el7.x86_64 #1 SMP Mon May 5 11:16:57 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux
# 

any ideas?

* UPDATE *

phpMyAdmin is BROKEN, php-php-gettext is missing. (Page 1) — Open discussion — Les RPM de Remi - Forums

share|improve this question
    
Looks like the package or dependency is broken. Why don't you just download it from source? The package doesn't provide any useful that the vendor's tar.gz does not. Also, use Adminer instead of PMA. Faster, simpler, safer. –  tylerl Jun 17 at 23:31
    
This looks like a packaging error. I would report it to the packager (remi). –  Michael Hampton Jun 18 at 0:50
1  
@tylerl I use packages is for maintenance purpose. –  alexus Jun 18 at 15:41
    
@michael-hampton report submitted –  alexus Jun 18 at 15:42

1 Answer 1

Follow steps

share|improve this answer
    
I already have epel-release-7-0.1.noarch installed. phpMyAdmin install brakes not due to php-mcrypt, but due to php-php-gettext –  alexus Jun 18 at 15:03
    
uninstall phpmyadmin and php and then try reinstalling them. –  Dipin K Prakash Jun 19 at 15:29
    
phpMyAdmin was never installed (hence asking question at SE) php was installed prior, so reinstalling php will NOT solve anything. –  alexus Jun 19 at 15:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.